Subject: Re: 1.1.7: stackdump in patch.exe
From: Corinna Vinschen <[email-masked]>
To: Linneweh Tilman <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Thu, 8 Feb 2001 10:57:56 +0100

On Wed, Feb 07, 2001 at 11:58:52AM +0100, Linneweh Tilman wrote:
> Hi ML!
> 
> I am using:
> 
> $ uname -a
> CYGWIN_NT-4.0 TOLIMAN 1.1.7(0.31/3/2) 2000-12-25 12:39 i686 unknown
> 
> I am trying to apply this patch:
> 
> http://slrn.sourceforge.net/patches/slrn-0.9.6.4-pl2.diff.gz
> 
> to this Sourcetree:
> 
> ftp://space.mit.edu/pub/davis/slrn/ssl/slrn-0.9.6.4.tar.gz
> 
> While processing the patches of the pl I get the following Error:
> 
> > Patching file `/home/slrn-0.9.6.4pl2/doc/slrn.rc' using Plan A...
> > assertion "hunk" failed: file "/src/patch/patch.c", line 334
> >       0 [sig] patch 246 stackdump: Dumping stack trace to patch.exe.stackdump
> > Aborted (core dumped)
> 
> If I divide the .diff File (211k) into pieces (around 25k) I can get around the problem, so i guess its a memory leak or something like this.
> 
> I am not reading the ML, so please send a CC per email.
> I have the stackdump, but there is no gdb on my system, sorry. But the error occured also on my ME-Notebook, so it should appear on your system too :-S.

Same questions to you.

Could you please answer a few questions which will help me to track
down that problem?

- Which Cygwin (uname -a output)
- Which patch (Is it the latest version from cygwin/latest?)
- The values of $TMPDIR and $TMP (if any)
- The mount modes of
  - the directory where the diff file resides
  - the src directory of the slrn sources
  - the /tmp, $TMPDIR and $TMP directories

Thanks in advance,
Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Developer                                mailto:[email-masked]
Red Hat, Inc.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple